pydo.byoip_prefixes.list_resources()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.byoip_prefixes.list_resources(
byoip_prefix_uuid="f47ac10b-58cc-4372-a567-0e02b2c3d479",
per_page=20,
page=1,
)Description
To list resources associated with BYOIP prefixes, send a GET request to /v2/byoip_prefixes/{byoip_prefix_uuid}/ips.
A successful response will return a list of resources associated with the specified BYOIP prefix.
Parameters
byoip_prefix_uuidstring requiredThe unique identifier for the BYOIP Prefix.
per_pageinteger optionalNumber of items returned per page
pageinteger optionalWhich 'page' of paginated results to return.
Request Sample
Pagination
This method returns paginated results. The response includes a
links.pages object with URLs for navigating between pages. To
retrieve the next page, parse the next URL and pass the page
parameter:
from urllib.parse import urlparse, parse_qs
resp = client.byoip_prefixes.list_resources(byoip_prefix_uuid="f47ac10b-58cc-4372-a567-0e02b2c3d479", )
pages = resp.get("links", {}).get("pages", {})
while "next" in pages:
parsed = urlparse(pages["next"])
page = int(parse_qs(parsed.query)["page"][0])
resp = client.byoip_prefixes.list_resources(byoip_prefix_uuid="f47ac10b-58cc-4372-a567-0e02b2c3d479", page=page)
pages = resp.get("links", {}).get("pages", {})Response Example
More Information
See /v2/byoip_prefixes/{byoip_prefix_uuid}/ips in the API reference for additional detail on responses, headers, parameters, and more.